org.eclipse.viatra.cep.vepl.parser.antlr.internal

## Class InternalVeplParser

- java.lang.Object
- - org.antlr.runtime.BaseRecognizer
  - - org.antlr.runtime.Parser
    - - org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser
      - - org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser

-     public class InternalVeplParser
      extends org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser

      `org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser.ErrorContext, org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser.LexerErrorContext, org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser.ParserErrorContext, org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser.UnorderedGroupErrorContext, org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser.ValueConverterErrorContext`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA105` | `dfa105`
    `protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA106` | `dfa106`
    `protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA107` | `dfa107`
    `protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA111` | `dfa111`
    `protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA113` | `dfa113`
    `protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA114` | `dfa114`
    `protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA115` | `dfa115`
    `protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA118` | `dfa118`
    `protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA134` | `dfa134`
    `protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA136` | `dfa136`
    `protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA143` | `dfa143`
    `protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA36` | `dfa36`
    `protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA46` | `dfa46`
    `protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA49` | `dfa49`
    `protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA64` | `dfa64`
    `protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA65` | `dfa65`
    `protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA66` | `dfa66`
    `protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA68` | `dfa68`
    `protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA77` | `dfa77`
    `protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA83` | `dfa83`
    `protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA84` | `dfa84`
    `static int` | `EOF`
    `static org.antlr.runtime.BitSet` | `FOLLOW_1`
    `static org.antlr.runtime.BitSet` | `FOLLOW_10`
    `static org.antlr.runtime.BitSet` | `FOLLOW_100`
    `static org.antlr.runtime.BitSet` | `FOLLOW_101`
    `static org.antlr.runtime.BitSet` | `FOLLOW_102`
    `static org.antlr.runtime.BitSet` | `FOLLOW_103`
    `static org.antlr.runtime.BitSet` | `FOLLOW_104`
    `static org.antlr.runtime.BitSet` | `FOLLOW_105`
    `static org.antlr.runtime.BitSet` | `FOLLOW_11`
    `static org.antlr.runtime.BitSet` | `FOLLOW_12`
    `static org.antlr.runtime.BitSet` | `FOLLOW_13`
    `static org.antlr.runtime.BitSet` | `FOLLOW_14`
    `static org.antlr.runtime.BitSet` | `FOLLOW_15`
    `static org.antlr.runtime.BitSet` | `FOLLOW_16`
    `static org.antlr.runtime.BitSet` | `FOLLOW_17`
    `static org.antlr.runtime.BitSet` | `FOLLOW_18`
    `static org.antlr.runtime.BitSet` | `FOLLOW_19`
    `static org.antlr.runtime.BitSet` | `FOLLOW_2`
    `static org.antlr.runtime.BitSet` | `FOLLOW_20`
    `static org.antlr.runtime.BitSet` | `FOLLOW_21`
    `static org.antlr.runtime.BitSet` | `FOLLOW_22`
    `static org.antlr.runtime.BitSet` | `FOLLOW_23`
    `static org.antlr.runtime.BitSet` | `FOLLOW_24`
    `static org.antlr.runtime.BitSet` | `FOLLOW_25`
    `static org.antlr.runtime.BitSet` | `FOLLOW_26`
    `static org.antlr.runtime.BitSet` | `FOLLOW_27`
    `static org.antlr.runtime.BitSet` | `FOLLOW_28`
    `static org.antlr.runtime.BitSet` | `FOLLOW_29`
    `static org.antlr.runtime.BitSet` | `FOLLOW_3`
    `static org.antlr.runtime.BitSet` | `FOLLOW_30`
    `static org.antlr.runtime.BitSet` | `FOLLOW_31`
    `static org.antlr.runtime.BitSet` | `FOLLOW_32`
    `static org.antlr.runtime.BitSet` | `FOLLOW_33`
    `static org.antlr.runtime.BitSet` | `FOLLOW_34`
    `static org.antlr.runtime.BitSet` | `FOLLOW_35`
    `static org.antlr.runtime.BitSet` | `FOLLOW_36`
    `static org.antlr.runtime.BitSet` | `FOLLOW_37`
    `static org.antlr.runtime.BitSet` | `FOLLOW_38`
    `static org.antlr.runtime.BitSet` | `FOLLOW_39`
    `static org.antlr.runtime.BitSet` | `FOLLOW_4`
    `static org.antlr.runtime.BitSet` | `FOLLOW_40`
    `static org.antlr.runtime.BitSet` | `FOLLOW_41`
    `static org.antlr.runtime.BitSet` | `FOLLOW_42`
    `static org.antlr.runtime.BitSet` | `FOLLOW_43`
    `static org.antlr.runtime.BitSet` | `FOLLOW_44`
    `static org.antlr.runtime.BitSet` | `FOLLOW_45`
    `static org.antlr.runtime.BitSet` | `FOLLOW_46`
    `static org.antlr.runtime.BitSet` | `FOLLOW_47`
    `static org.antlr.runtime.BitSet` | `FOLLOW_48`
    `static org.antlr.runtime.BitSet` | `FOLLOW_49`
    `static org.antlr.runtime.BitSet` | `FOLLOW_5`
    `static org.antlr.runtime.BitSet` | `FOLLOW_50`
    `static org.antlr.runtime.BitSet` | `FOLLOW_51`
    `static org.antlr.runtime.BitSet` | `FOLLOW_52`
    `static org.antlr.runtime.BitSet` | `FOLLOW_53`
    `static org.antlr.runtime.BitSet` | `FOLLOW_54`
    `static org.antlr.runtime.BitSet` | `FOLLOW_55`
    `static org.antlr.runtime.BitSet` | `FOLLOW_56`
    `static org.antlr.runtime.BitSet` | `FOLLOW_57`
    `static org.antlr.runtime.BitSet` | `FOLLOW_58`
    `static org.antlr.runtime.BitSet` | `FOLLOW_59`
    `static org.antlr.runtime.BitSet` | `FOLLOW_6`
    `static org.antlr.runtime.BitSet` | `FOLLOW_60`
    `static org.antlr.runtime.BitSet` | `FOLLOW_61`
    `static org.antlr.runtime.BitSet` | `FOLLOW_62`
    `static org.antlr.runtime.BitSet` | `FOLLOW_63`
    `static org.antlr.runtime.BitSet` | `FOLLOW_64`
    `static org.antlr.runtime.BitSet` | `FOLLOW_65`
    `static org.antlr.runtime.BitSet` | `FOLLOW_66`
    `static org.antlr.runtime.BitSet` | `FOLLOW_67`
    `static org.antlr.runtime.BitSet` | `FOLLOW_68`
    `static org.antlr.runtime.BitSet` | `FOLLOW_69`
    `static org.antlr.runtime.BitSet` | `FOLLOW_7`
    `static org.antlr.runtime.BitSet` | `FOLLOW_70`
    `static org.antlr.runtime.BitSet` | `FOLLOW_71`
    `static org.antlr.runtime.BitSet` | `FOLLOW_72`
    `static org.antlr.runtime.BitSet` | `FOLLOW_73`
    `static org.antlr.runtime.BitSet` | `FOLLOW_74`
    `static org.antlr.runtime.BitSet` | `FOLLOW_75`
    `static org.antlr.runtime.BitSet` | `FOLLOW_76`
    `static org.antlr.runtime.BitSet` | `FOLLOW_77`
    `static org.antlr.runtime.BitSet` | `FOLLOW_78`
    `static org.antlr.runtime.BitSet` | `FOLLOW_79`
    `static org.antlr.runtime.BitSet` | `FOLLOW_8`
    `static org.antlr.runtime.BitSet` | `FOLLOW_80`
    `static org.antlr.runtime.BitSet` | `FOLLOW_81`
    `static org.antlr.runtime.BitSet` | `FOLLOW_82`
    `static org.antlr.runtime.BitSet` | `FOLLOW_83`
    `static org.antlr.runtime.BitSet` | `FOLLOW_84`
    `static org.antlr.runtime.BitSet` | `FOLLOW_85`
    `static org.antlr.runtime.BitSet` | `FOLLOW_86`
    `static org.antlr.runtime.BitSet` | `FOLLOW_87`
    `static org.antlr.runtime.BitSet` | `FOLLOW_88`
    `static org.antlr.runtime.BitSet` | `FOLLOW_89`
    `static org.antlr.runtime.BitSet` | `FOLLOW_9`
    `static org.antlr.runtime.BitSet` | `FOLLOW_90`
    `static org.antlr.runtime.BitSet` | `FOLLOW_91`
    `static org.antlr.runtime.BitSet` | `FOLLOW_92`
    `static org.antlr.runtime.BitSet` | `FOLLOW_93`
    `static org.antlr.runtime.BitSet` | `FOLLOW_94`
    `static org.antlr.runtime.BitSet` | `FOLLOW_95`
    `static org.antlr.runtime.BitSet` | `FOLLOW_96`
    `static org.antlr.runtime.BitSet` | `FOLLOW_97`
    `static org.antlr.runtime.BitSet` | `FOLLOW_98`
    `static org.antlr.runtime.BitSet` | `FOLLOW_99`
    `static int` | `RULE_ANY_OTHER`
    `static int` | `RULE_DECIMAL`
    `static int` | `RULE_HEX`
    `static int` | `RULE_ID`
    `static int` | `RULE_INT`
    `static int` | `RULE_ML_COMMENT`
    `static int` | `RULE_SL_COMMENT`
    `static int` | `RULE_STRING`
    `static int` | `RULE_WS`
    `static int` | `T__100`
    `static int` | `T__101`
    `static int` | `T__102`
    `static int` | `T__103`
    `static int` | `T__104`
    `static int` | `T__105`
    `static int` | `T__13`
    `static int` | `T__14`
    `static int` | `T__15`
    `static int` | `T__16`
    `static int` | `T__17`
    `static int` | `T__18`
    `static int` | `T__19`
    `static int` | `T__20`
    `static int` | `T__21`
    `static int` | `T__22`
    `static int` | `T__23`
    `static int` | `T__24`
    `static int` | `T__25`
    `static int` | `T__26`
    `static int` | `T__27`
    `static int` | `T__28`
    `static int` | `T__29`
    `static int` | `T__30`
    `static int` | `T__31`
    `static int` | `T__32`
    `static int` | `T__33`
    `static int` | `T__34`
    `static int` | `T__35`
    `static int` | `T__36`
    `static int` | `T__37`
    `static int` | `T__38`
    `static int` | `T__39`
    `static int` | `T__40`
    `static int` | `T__41`
    `static int` | `T__42`
    `static int` | `T__43`
    `static int` | `T__44`
    `static int` | `T__45`
    `static int` | `T__46`
    `static int` | `T__47`
    `static int` | `T__48`
    `static int` | `T__49`
    `static int` | `T__50`
    `static int` | `T__51`
    `static int` | `T__52`
    `static int` | `T__53`
    `static int` | `T__54`
    `static int` | `T__55`
    `static int` | `T__56`
    `static int` | `T__57`
    `static int` | `T__58`
    `static int` | `T__59`
    `static int` | `T__60`
    `static int` | `T__61`
    `static int` | `T__62`
    `static int` | `T__63`
    `static int` | `T__64`
    `static int` | `T__65`
    `static int` | `T__66`
    `static int` | `T__67`
    `static int` | `T__68`
    `static int` | `T__69`
    `static int` | `T__70`
    `static int` | `T__71`
    `static int` | `T__72`
    `static int` | `T__73`
    `static int` | `T__74`
    `static int` | `T__75`
    `static int` | `T__76`
    `static int` | `T__77`
    `static int` | `T__78`
    `static int` | `T__79`
    `static int` | `T__80`
    `static int` | `T__81`
    `static int` | `T__82`
    `static int` | `T__83`
    `static int` | `T__84`
    `static int` | `T__85`
    `static int` | `T__86`
    `static int` | `T__87`
    `static int` | `T__88`
    `static int` | `T__89`
    `static int` | `T__90`
    `static int` | `T__91`
    `static int` | `T__92`
    `static int` | `T__93`
    `static int` | `T__94`
    `static int` | `T__95`
    `static int` | `T__96`
    `static int` | `T__97`
    `static int` | `T__98`
    `static int` | `T__99`
    `static java.lang.String[]` | `tokenNames`

    - ### Fields inherited from class org.antlr.runtime.Parser

      `input`

    - ### Fields inherited from class org.antlr.runtime.BaseRecognizer

      `DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InternalVeplParser(org.antlr.runtime.TokenStream input)`
    `InternalVeplParser(org.antlr.runtime.TokenStream input, org.antlr.runtime.RecognizerSharedState state)`
    `InternalVeplParser(org.antlr.runtime.TokenStream input, VeplGrammarAccess grammarAccess)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EObject` | `entryRuleAbstractAtomicEventPattern()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleAbstractMultiplicity()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleAndOperator()`
    `java.lang.String` | `entryRuleArrayBrackets()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleAtLeastOne()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleAtom()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleAtomicEventPattern()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleBinaryOperator()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleChainedExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleComplexEventExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleComplexEventPattern()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleEventModel()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleEventPattern()`
    `java.lang.String` | `entryRuleFeatureCallID()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleFollowsOperator()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleFullJvmFormalParameter()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleGenericImport()`
    `java.lang.String` | `entryRuleIdOrSuper()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleImport()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleInfinite()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleJvmArgumentTypeReference()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleJvmFormalParameter()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleJvmLowerBound()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleJvmLowerBoundAnded()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleJvmParameterizedTypeReference()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleJvmTypeReference()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleJvmUpperBound()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleJvmUpperBoundAnded()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleJvmWildcardTypeReference()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleModelElement()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleMultiplicity()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleNegatedPrimary()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleNegOperator()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleNormalPrimary()`
    `java.lang.String` | `entryRuleNumber()`
    `java.lang.String` | `entryRuleOpAdd()`
    `java.lang.String` | `entryRuleOpAnd()`
    `java.lang.String` | `entryRuleOpCompare()`
    `java.lang.String` | `entryRuleOpEquality()`
    `java.lang.String` | `entryRuleOpMulti()`
    `java.lang.String` | `entryRuleOpMultiAssign()`
    `java.lang.String` | `entryRuleOpOr()`
    `java.lang.String` | `entryRuleOpOther()`
    `java.lang.String` | `entryRuleOpPostfix()`
    `java.lang.String` | `entryRuleOpSingleAssign()`
    `java.lang.String` | `entryRuleOpUnary()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleOrOperator()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleParameterizedPatternCall()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleParametrizedQueryReference()`
    `org.eclipse.emf.ecore.EObject` | `entryRulePatternCallParameter()`
    `org.eclipse.emf.ecore.EObject` | `entryRulePatternCallParameterList()`
    `org.eclipse.emf.ecore.EObject` | `entryRulePrimary()`
    `java.lang.String` | `entryRuleQualifiedName()`
    `java.lang.String` | `entryRuleQualifiedNameInStaticImport()`
    `java.lang.String` | `entryRuleQualifiedNameWithWildcard()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleQueryImport()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleQueryResultChangeEventPattern()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleRule()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleTimewindow()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleTrait()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleTraitList()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleTraitTypedParameterList()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleTypedParameter()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleTypedParameterList()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleTypedParameterWithDefaultValue()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleUnaryOperator()`
    `java.lang.String` | `entryRuleValidID()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXAdditiveExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXAndExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXAssignment()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXBasicForLoopExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXBlockExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXBooleanLiteral()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXCasePart()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXCastedExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXCatchClause()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXClosure()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXCollectionLiteral()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXConstructorCall()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXDoWhileExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXEqualityExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXExpressionInClosure()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXExpressionOrVarDeclaration()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXFeatureCall()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXForLoopExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXFunctionTypeRef()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXIfExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXImportDeclaration()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXListLiteral()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXLiteral()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXMemberFeatureCall()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXMultiplicativeExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXNullLiteral()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXNumberLiteral()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXOrExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXOtherOperatorExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXParenthesizedExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXPostfixOperation()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXPrimaryExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXRelationalExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXReturnExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXSetLiteral()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXShortClosure()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXStringLiteral()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXSwitchExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXSynchronizedExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXThrowExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXTryCatchFinallyExpression()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXTypeLiteral()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXUnaryOperation()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXVariableDeclaration()`
    `org.eclipse.emf.ecore.EObject` | `entryRuleXWhileExpression()`
    `protected java.lang.String` | `getFirstRuleName()`
    `protected VeplGrammarAccess` | `getGrammarAccess()`
    `java.lang.String` | `getGrammarFileName()`
    `java.lang.String[]` | `getTokenNames()`
    `org.eclipse.emf.ecore.EObject` | `ruleAbstractAtomicEventPattern()`
    `org.eclipse.emf.ecore.EObject` | `ruleAbstractMultiplicity()`
    `org.eclipse.emf.ecore.EObject` | `ruleAndOperator()`
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleArrayBrackets()`
    `org.eclipse.emf.ecore.EObject` | `ruleAtLeastOne()`
    `org.eclipse.emf.ecore.EObject` | `ruleAtom()`
    `org.eclipse.emf.ecore.EObject` | `ruleAtomicEventPattern()`
    `org.eclipse.emf.ecore.EObject` | `ruleBinaryOperator()`
    `org.eclipse.emf.ecore.EObject` | `ruleChainedExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleComplexEventExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleComplexEventPattern()`
    `org.eclipse.emf.common.util.Enumerator` | `ruleContext()`
    `org.eclipse.emf.ecore.EObject` | `ruleEventModel()`
    `org.eclipse.emf.ecore.EObject` | `ruleEventPattern()`
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleFeatureCallID()`
    `org.eclipse.emf.ecore.EObject` | `ruleFollowsOperator()`
    `org.eclipse.emf.ecore.EObject` | `ruleFullJvmFormalParameter()`
    `org.eclipse.emf.ecore.EObject` | `ruleGenericImport()`
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleIdOrSuper()`
    `org.eclipse.emf.ecore.EObject` | `ruleImport()`
    `org.eclipse.emf.ecore.EObject` | `ruleInfinite()`
    `org.eclipse.emf.ecore.EObject` | `ruleJvmArgumentTypeReference()`
    `org.eclipse.emf.ecore.EObject` | `ruleJvmFormalParameter()`
    `org.eclipse.emf.ecore.EObject` | `ruleJvmLowerBound()`
    `org.eclipse.emf.ecore.EObject` | `ruleJvmLowerBoundAnded()`
    `org.eclipse.emf.ecore.EObject` | `ruleJvmParameterizedTypeReference()`
    `org.eclipse.emf.ecore.EObject` | `ruleJvmTypeReference()`
    `org.eclipse.emf.ecore.EObject` | `ruleJvmUpperBound()`
    `org.eclipse.emf.ecore.EObject` | `ruleJvmUpperBoundAnded()`
    `org.eclipse.emf.ecore.EObject` | `ruleJvmWildcardTypeReference()`
    `org.eclipse.emf.ecore.EObject` | `ruleModelElement()`
    `org.eclipse.emf.ecore.EObject` | `ruleMultiplicity()`
    `org.eclipse.emf.ecore.EObject` | `ruleNegatedPrimary()`
    `org.eclipse.emf.ecore.EObject` | `ruleNegOperator()`
    `org.eclipse.emf.ecore.EObject` | `ruleNormalPrimary()`
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleNumber()`
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleOpAdd()`
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleOpAnd()`
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleOpCompare()`
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleOpEquality()`
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleOpMulti()`
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleOpMultiAssign()`
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleOpOr()`
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleOpOther()`
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleOpPostfix()`
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleOpSingleAssign()`
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleOpUnary()`
    `org.eclipse.emf.ecore.EObject` | `ruleOrOperator()`
    `org.eclipse.emf.ecore.EObject` | `ruleParameterizedPatternCall()`
    `org.eclipse.emf.ecore.EObject` | `ruleParametrizedQueryReference()`
    `org.eclipse.emf.ecore.EObject` | `rulePatternCallParameter()`
    `org.eclipse.emf.ecore.EObject` | `rulePatternCallParameterList()`
    `org.eclipse.emf.ecore.EObject` | `rulePrimary()`
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleQualifiedName()`
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleQualifiedNameInStaticImport()`
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleQualifiedNameWithWildcard()`
    `org.eclipse.emf.ecore.EObject` | `ruleQueryImport()`
    `org.eclipse.emf.ecore.EObject` | `ruleQueryResultChangeEventPattern()`
    `org.eclipse.emf.common.util.Enumerator` | `ruleQueryResultChangeType()`
    `org.eclipse.emf.ecore.EObject` | `ruleRule()`
    `org.eclipse.emf.ecore.EObject` | `ruleTimewindow()`
    `org.eclipse.emf.ecore.EObject` | `ruleTrait()`
    `org.eclipse.emf.ecore.EObject` | `ruleTraitList()`
    `org.eclipse.emf.ecore.EObject` | `ruleTraitTypedParameterList()`
    `org.eclipse.emf.ecore.EObject` | `ruleTypedParameter()`
    `org.eclipse.emf.ecore.EObject` | `ruleTypedParameterList()`
    `org.eclipse.emf.ecore.EObject` | `ruleTypedParameterWithDefaultValue()`
    `org.eclipse.emf.ecore.EObject` | `ruleUnaryOperator()`
    `org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken` | `ruleValidID()`
    `org.eclipse.emf.ecore.EObject` | `ruleXAdditiveExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleXAndExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleXAssignment()`
    `org.eclipse.emf.ecore.EObject` | `ruleXBasicForLoopExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleXBlockExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleXBooleanLiteral()`
    `org.eclipse.emf.ecore.EObject` | `ruleXCasePart()`
    `org.eclipse.emf.ecore.EObject` | `ruleXCastedExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleXCatchClause()`
    `org.eclipse.emf.ecore.EObject` | `ruleXClosure()`
    `org.eclipse.emf.ecore.EObject` | `ruleXCollectionLiteral()`
    `org.eclipse.emf.ecore.EObject` | `ruleXConstructorCall()`
    `org.eclipse.emf.ecore.EObject` | `ruleXDoWhileExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleXEqualityExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleXExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleXExpressionInClosure()`
    `org.eclipse.emf.ecore.EObject` | `ruleXExpressionOrVarDeclaration()`
    `org.eclipse.emf.ecore.EObject` | `ruleXFeatureCall()`
    `org.eclipse.emf.ecore.EObject` | `ruleXForLoopExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleXFunctionTypeRef()`
    `org.eclipse.emf.ecore.EObject` | `ruleXIfExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleXImportDeclaration()`
    `org.eclipse.emf.ecore.EObject` | `ruleXListLiteral()`
    `org.eclipse.emf.ecore.EObject` | `ruleXLiteral()`
    `org.eclipse.emf.ecore.EObject` | `ruleXMemberFeatureCall()`
    `org.eclipse.emf.ecore.EObject` | `ruleXMultiplicativeExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleXNullLiteral()`
    `org.eclipse.emf.ecore.EObject` | `ruleXNumberLiteral()`
    `org.eclipse.emf.ecore.EObject` | `ruleXOrExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleXOtherOperatorExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleXParenthesizedExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleXPostfixOperation()`
    `org.eclipse.emf.ecore.EObject` | `ruleXPrimaryExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleXRelationalExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleXReturnExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleXSetLiteral()`
    `org.eclipse.emf.ecore.EObject` | `ruleXShortClosure()`
    `org.eclipse.emf.ecore.EObject` | `ruleXStringLiteral()`
    `org.eclipse.emf.ecore.EObject` | `ruleXSwitchExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleXSynchronizedExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleXThrowExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleXTryCatchFinallyExpression()`
    `org.eclipse.emf.ecore.EObject` | `ruleXTypeLiteral()`
    `org.eclipse.emf.ecore.EObject` | `ruleXUnaryOperation()`
    `org.eclipse.emf.ecore.EObject` | `ruleXVariableDeclaration()`
    `org.eclipse.emf.ecore.EObject` | `ruleXWhileExpression()`
    `void` | `synpred1_InternalVepl_fragment()`
    `boolean` | `synpred1_InternalVepl()`
    `void` | `synpred10_InternalVepl_fragment()`
    `boolean` | `synpred10_InternalVepl()`
    `void` | `synpred11_InternalVepl_fragment()`
    `boolean` | `synpred11_InternalVepl()`
    `void` | `synpred12_InternalVepl_fragment()`
    `boolean` | `synpred12_InternalVepl()`
    `void` | `synpred13_InternalVepl_fragment()`
    `boolean` | `synpred13_InternalVepl()`
    `void` | `synpred14_InternalVepl_fragment()`
    `boolean` | `synpred14_InternalVepl()`
    `void` | `synpred15_InternalVepl_fragment()`
    `boolean` | `synpred15_InternalVepl()`
    `void` | `synpred16_InternalVepl_fragment()`
    `boolean` | `synpred16_InternalVepl()`
    `void` | `synpred17_InternalVepl_fragment()`
    `boolean` | `synpred17_InternalVepl()`
    `void` | `synpred18_InternalVepl_fragment()`
    `boolean` | `synpred18_InternalVepl()`
    `void` | `synpred19_InternalVepl_fragment()`
    `boolean` | `synpred19_InternalVepl()`
    `void` | `synpred2_InternalVepl_fragment()`
    `boolean` | `synpred2_InternalVepl()`
    `void` | `synpred20_InternalVepl_fragment()`
    `boolean` | `synpred20_InternalVepl()`
    `void` | `synpred21_InternalVepl_fragment()`
    `boolean` | `synpred21_InternalVepl()`
    `void` | `synpred23_InternalVepl_fragment()`
    `boolean` | `synpred23_InternalVepl()`
    `void` | `synpred25_InternalVepl_fragment()`
    `boolean` | `synpred25_InternalVepl()`
    `void` | `synpred26_InternalVepl_fragment()`
    `boolean` | `synpred26_InternalVepl()`
    `void` | `synpred27_InternalVepl_fragment()`
    `boolean` | `synpred27_InternalVepl()`
    `void` | `synpred29_InternalVepl_fragment()`
    `boolean` | `synpred29_InternalVepl()`
    `void` | `synpred3_InternalVepl_fragment()`
    `boolean` | `synpred3_InternalVepl()`
    `void` | `synpred30_InternalVepl_fragment()`
    `boolean` | `synpred30_InternalVepl()`
    `void` | `synpred31_InternalVepl_fragment()`
    `boolean` | `synpred31_InternalVepl()`
    `void` | `synpred32_InternalVepl_fragment()`
    `boolean` | `synpred32_InternalVepl()`
    `void` | `synpred33_InternalVepl_fragment()`
    `boolean` | `synpred33_InternalVepl()`
    `void` | `synpred34_InternalVepl_fragment()`
    `boolean` | `synpred34_InternalVepl()`
    `void` | `synpred35_InternalVepl_fragment()`
    `boolean` | `synpred35_InternalVepl()`
    `void` | `synpred36_InternalVepl_fragment()`
    `boolean` | `synpred36_InternalVepl()`
    `void` | `synpred37_InternalVepl_fragment()`
    `boolean` | `synpred37_InternalVepl()`
    `void` | `synpred38_InternalVepl_fragment()`
    `boolean` | `synpred38_InternalVepl()`
    `void` | `synpred39_InternalVepl_fragment()`
    `boolean` | `synpred39_InternalVepl()`
    `void` | `synpred4_InternalVepl_fragment()`
    `boolean` | `synpred4_InternalVepl()`
    `void` | `synpred42_InternalVepl_fragment()`
    `boolean` | `synpred42_InternalVepl()`
    `void` | `synpred43_InternalVepl_fragment()`
    `boolean` | `synpred43_InternalVepl()`
    `void` | `synpred44_InternalVepl_fragment()`
    `boolean` | `synpred44_InternalVepl()`
    `void` | `synpred45_InternalVepl_fragment()`
    `boolean` | `synpred45_InternalVepl()`
    `void` | `synpred46_InternalVepl_fragment()`
    `boolean` | `synpred46_InternalVepl()`
    `void` | `synpred5_InternalVepl_fragment()`
    `boolean` | `synpred5_InternalVepl()`
    `void` | `synpred6_InternalVepl_fragment()`
    `boolean` | `synpred6_InternalVepl()`
    `void` | `synpred7_InternalVepl_fragment()`
    `boolean` | `synpred7_InternalVepl()`
    `void` | `synpred8_InternalVepl_fragment()`
    `boolean` | `synpred8_InternalVepl()`
    `void` | `synpred9_InternalVepl_fragment()`
    `boolean` | `synpred9_InternalVepl()`

    - ### Methods inherited from class org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser

      `add, add, addWithLastConsumed, afterParserOrEnumRuleCall, appendAllTokens, appendError, appendSkippedTokens, appendTrailingHiddenTokens, associateNodeWithAstElement, createErrorContext, createModelElement, createModelElement, createModelElement, createModelElementForParent, createModelElementForParent, createValueConverterErrorContext, displayRecognitionError, emitErrorMessage, enterRule, forceCreateModelElement, forceCreateModelElementAndAdd, forceCreateModelElementAndSet, getErrorMessage, getInput, getLastLeafNode, getNodeModelBuilder, getSemanticModelBuilder, getSyntaxErrorMessage, getSyntaxErrorProvider, getUnorderedGroupHelper, getValueConverterExceptionMessage, handleValueConverterException, insertCompositeNode, leaveRule, newCompositeNode, newLeafNode, parse, parse, recover, recoverFromMismatchedToken, registerRules, reportError, set, set, setNodeModelBuilder, setSemanticModelBuilder, setSyntaxErrorProvider, setTokenTypeMap, setUnorderedGroupHelper, setWithLastConsumed, superGetErrorMessage, unpackEncodedStringArray`

    - ### Methods inherited from class org.antlr.runtime.Parser

      `getCurrentInputSymbol, getMissingSymbol, getSourceName, getTokenStream, reset, setTokenStream, traceIn, traceOut`

    - ### Methods inherited from class org.antlr.runtime.BaseRecognizer

      `alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, endResync, failed, getBacktrackingLevel, getErrorHeader, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recoverFromMismatchedSet, setBacktrackingLevel, toStrings, traceIn, traceOut`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tokenNames

          public static final java.lang.String[] tokenNames

    - #### RULE_HEX

          public static final int RULE_HEX

      See Also:
        Constant Field Values

    - #### T__50

          public static final int T__50

      See Also:
        Constant Field Values

    - #### T__59

          public static final int T__59

      See Also:
        Constant Field Values

    - #### T__55

          public static final int T__55

      See Also:
        Constant Field Values

    - #### T__56

          public static final int T__56

      See Also:
        Constant Field Values

    - #### T__57

          public static final int T__57

      See Also:
        Constant Field Values

    - #### T__58

          public static final int T__58

      See Also:
        Constant Field Values

    - #### T__51

          public static final int T__51

      See Also:
        Constant Field Values

    - #### T__52

          public static final int T__52

      See Also:
        Constant Field Values

    - #### T__53

          public static final int T__53

      See Also:
        Constant Field Values

    - #### T__54

          public static final int T__54

      See Also:
        Constant Field Values

    - #### T__60

          public static final int T__60

      See Also:
        Constant Field Values

    - #### T__61

          public static final int T__61

      See Also:
        Constant Field Values

    - #### RULE_ID

          public static final int RULE_ID

      See Also:
        Constant Field Values

    - #### RULE_INT

          public static final int RULE_INT

      See Also:
        Constant Field Values

    - #### T__66

          public static final int T__66

      See Also:
        Constant Field Values

    - #### RULE_ML_COMMENT

          public static final int RULE_ML_COMMENT

      See Also:
        Constant Field Values

    - #### T__67

          public static final int T__67

      See Also:
        Constant Field Values

    - #### T__68

          public static final int T__68

      See Also:
        Constant Field Values

    - #### T__69

          public static final int T__69

      See Also:
        Constant Field Values

    - #### T__62

          public static final int T__62

      See Also:
        Constant Field Values

    - #### T__63

          public static final int T__63

      See Also:
        Constant Field Values

    - #### T__64

          public static final int T__64

      See Also:
        Constant Field Values

    - #### T__65

          public static final int T__65

      See Also:
        Constant Field Values

    - #### T__37

          public static final int T__37

      See Also:
        Constant Field Values

    - #### T__38

          public static final int T__38

      See Also:
        Constant Field Values

    - #### T__39

          public static final int T__39

      See Also:
        Constant Field Values

    - #### T__33

          public static final int T__33

      See Also:
        Constant Field Values

    - #### T__34

          public static final int T__34

      See Also:
        Constant Field Values

    - #### T__35

          public static final int T__35

      See Also:
        Constant Field Values

    - #### T__36

          public static final int T__36

      See Also:
        Constant Field Values

    - #### T__30

          public static final int T__30

      See Also:
        Constant Field Values

    - #### T__31

          public static final int T__31

      See Also:
        Constant Field Values

    - #### T__32

          public static final int T__32

      See Also:
        Constant Field Values

    - #### T__48

          public static final int T__48

      See Also:
        Constant Field Values

    - #### T__49

          public static final int T__49

      See Also:
        Constant Field Values

    - #### T__44

          public static final int T__44

      See Also:
        Constant Field Values

    - #### T__45

          public static final int T__45

      See Also:
        Constant Field Values

    - #### T__46

          public static final int T__46

      See Also:
        Constant Field Values

    - #### T__47

          public static final int T__47

      See Also:
        Constant Field Values

    - #### T__40

          public static final int T__40

      See Also:
        Constant Field Values

    - #### T__41

          public static final int T__41

      See Also:
        Constant Field Values

    - #### T__42

          public static final int T__42

      See Also:
        Constant Field Values

    - #### T__43

          public static final int T__43

      See Also:
        Constant Field Values

    - #### T__91

          public static final int T__91

      See Also:
        Constant Field Values

    - #### T__100

          public static final int T__100

      See Also:
        Constant Field Values

    - #### T__92

          public static final int T__92

      See Also:
        Constant Field Values

    - #### T__93

          public static final int T__93

      See Also:
        Constant Field Values

    - #### T__102

          public static final int T__102

      See Also:
        Constant Field Values

    - #### T__94

          public static final int T__94

      See Also:
        Constant Field Values

    - #### T__101

          public static final int T__101

      See Also:
        Constant Field Values

    - #### T__90

          public static final int T__90

      See Also:
        Constant Field Values

    - #### T__19

          public static final int T__19

      See Also:
        Constant Field Values

    - #### T__15

          public static final int T__15

      See Also:
        Constant Field Values

    - #### T__16

          public static final int T__16

      See Also:
        Constant Field Values

    - #### T__17

          public static final int T__17

      See Also:
        Constant Field Values

    - #### T__18

          public static final int T__18

      See Also:
        Constant Field Values

    - #### T__99

          public static final int T__99

      See Also:
        Constant Field Values

    - #### T__13

          public static final int T__13

      See Also:
        Constant Field Values

    - #### T__14

          public static final int T__14

      See Also:
        Constant Field Values

    - #### T__95

          public static final int T__95

      See Also:
        Constant Field Values

    - #### T__96

          public static final int T__96

      See Also:
        Constant Field Values

    - #### T__97

          public static final int T__97

      See Also:
        Constant Field Values

    - #### T__98

          public static final int T__98

      See Also:
        Constant Field Values

    - #### RULE_DECIMAL

          public static final int RULE_DECIMAL

      See Also:
        Constant Field Values

    - #### T__26

          public static final int T__26

      See Also:
        Constant Field Values

    - #### T__27

          public static final int T__27

      See Also:
        Constant Field Values

    - #### T__28

          public static final int T__28

      See Also:
        Constant Field Values

    - #### T__29

          public static final int T__29

      See Also:
        Constant Field Values

    - #### T__22

          public static final int T__22

      See Also:
        Constant Field Values

    - #### T__23

          public static final int T__23

      See Also:
        Constant Field Values

    - #### T__24

          public static final int T__24

      See Also:
        Constant Field Values

    - #### T__25

          public static final int T__25

      See Also:
        Constant Field Values

    - #### T__20

          public static final int T__20

      See Also:
        Constant Field Values

    - #### T__21

          public static final int T__21

      See Also:
        Constant Field Values

    - #### T__70

          public static final int T__70

      See Also:
        Constant Field Values

    - #### T__71

          public static final int T__71

      See Also:
        Constant Field Values

    - #### T__72

          public static final int T__72

      See Also:
        Constant Field Values

    - #### RULE_STRING

          public static final int RULE_STRING

      See Also:
        Constant Field Values

    - #### RULE_SL_COMMENT

          public static final int RULE_SL_COMMENT

      See Also:
        Constant Field Values

    - #### T__77

          public static final int T__77

      See Also:
        Constant Field Values

    - #### T__78

          public static final int T__78

      See Also:
        Constant Field Values

    - #### T__79

          public static final int T__79

      See Also:
        Constant Field Values

    - #### T__73

          public static final int T__73

      See Also:
        Constant Field Values

    - #### EOF

          public static final int EOF

      See Also:
        Constant Field Values

    - #### T__74

          public static final int T__74

      See Also:
        Constant Field Values

    - #### T__75

          public static final int T__75

      See Also:
        Constant Field Values

    - #### T__76

          public static final int T__76

      See Also:
        Constant Field Values

    - #### T__80

          public static final int T__80

      See Also:
        Constant Field Values

    - #### T__81

          public static final int T__81

      See Also:
        Constant Field Values

    - #### T__82

          public static final int T__82

      See Also:
        Constant Field Values

    - #### T__83

          public static final int T__83

      See Also:
        Constant Field Values

    - #### RULE_WS

          public static final int RULE_WS

      See Also:
        Constant Field Values

    - #### RULE_ANY_OTHER

          public static final int RULE_ANY_OTHER

      See Also:
        Constant Field Values

    - #### T__88

          public static final int T__88

      See Also:
        Constant Field Values

    - #### T__89

          public static final int T__89

      See Also:
        Constant Field Values

    - #### T__84

          public static final int T__84

      See Also:
        Constant Field Values

    - #### T__104

          public static final int T__104

      See Also:
        Constant Field Values

    - #### T__85

          public static final int T__85

      See Also:
        Constant Field Values

    - #### T__103

          public static final int T__103

      See Also:
        Constant Field Values

    - #### T__86

          public static final int T__86

      See Also:
        Constant Field Values

    - #### T__87

          public static final int T__87

      See Also:
        Constant Field Values

    - #### T__105

          public static final int T__105

      See Also:
        Constant Field Values

    - #### dfa36

          protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA36 dfa36

    - #### dfa46

          protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA46 dfa46

    - #### dfa49

          protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA49 dfa49

    - #### dfa65

          protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA65 dfa65

    - #### dfa64

          protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA64 dfa64

    - #### dfa66

          protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA66 dfa66

    - #### dfa68

          protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA68 dfa68

    - #### dfa77

          protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA77 dfa77

    - #### dfa84

          protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA84 dfa84

    - #### dfa83

          protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA83 dfa83

    - #### dfa106

          protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA106 dfa106

    - #### dfa105

          protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA105 dfa105

    - #### dfa107

          protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA107 dfa107

    - #### dfa111

          protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA111 dfa111

    - #### dfa114

          protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA114 dfa114

    - #### dfa113

          protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA113 dfa113

    - #### dfa115

          protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA115 dfa115

    - #### dfa118

          protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA118 dfa118

    - #### dfa136

          protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA136 dfa136

    - #### dfa134

          protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA134 dfa134

    - #### dfa143

          protected org.eclipse.viatra.cep.vepl.parser.antlr.internal.InternalVeplParser.DFA143 dfa143

    - #### FOLLOW_1

          public static final org.antlr.runtime.BitSet FOLLOW_1

    - #### FOLLOW_2

          public static final org.antlr.runtime.BitSet FOLLOW_2

    - #### FOLLOW_3

          public static final org.antlr.runtime.BitSet FOLLOW_3

    - #### FOLLOW_4

          public static final org.antlr.runtime.BitSet FOLLOW_4

    - #### FOLLOW_5

          public static final org.antlr.runtime.BitSet FOLLOW_5

    - #### FOLLOW_6

          public static final org.antlr.runtime.BitSet FOLLOW_6

    - #### FOLLOW_7

          public static final org.antlr.runtime.BitSet FOLLOW_7

    - #### FOLLOW_8

          public static final org.antlr.runtime.BitSet FOLLOW_8

    - #### FOLLOW_9

          public static final org.antlr.runtime.BitSet FOLLOW_9

    - #### FOLLOW_10

          public static final org.antlr.runtime.BitSet FOLLOW_10

    - #### FOLLOW_11

          public static final org.antlr.runtime.BitSet FOLLOW_11

    - #### FOLLOW_12

          public static final org.antlr.runtime.BitSet FOLLOW_12

    - #### FOLLOW_13

          public static final org.antlr.runtime.BitSet FOLLOW_13

    - #### FOLLOW_14

          public static final org.antlr.runtime.BitSet FOLLOW_14

    - #### FOLLOW_15

          public static final org.antlr.runtime.BitSet FOLLOW_15

    - #### FOLLOW_16

          public static final org.antlr.runtime.BitSet FOLLOW_16

    - #### FOLLOW_17

          public static final org.antlr.runtime.BitSet FOLLOW_17

    - #### FOLLOW_18

          public static final org.antlr.runtime.BitSet FOLLOW_18

    - #### FOLLOW_19

          public static final org.antlr.runtime.BitSet FOLLOW_19

    - #### FOLLOW_20

          public static final org.antlr.runtime.BitSet FOLLOW_20

    - #### FOLLOW_21

          public static final org.antlr.runtime.BitSet FOLLOW_21

    - #### FOLLOW_22

          public static final org.antlr.runtime.BitSet FOLLOW_22

    - #### FOLLOW_23

          public static final org.antlr.runtime.BitSet FOLLOW_23

    - #### FOLLOW_24

          public static final org.antlr.runtime.BitSet FOLLOW_24

    - #### FOLLOW_25

          public static final org.antlr.runtime.BitSet FOLLOW_25

    - #### FOLLOW_26

          public static final org.antlr.runtime.BitSet FOLLOW_26

    - #### FOLLOW_27

          public static final org.antlr.runtime.BitSet FOLLOW_27

    - #### FOLLOW_28

          public static final org.antlr.runtime.BitSet FOLLOW_28

    - #### FOLLOW_29

          public static final org.antlr.runtime.BitSet FOLLOW_29

    - #### FOLLOW_30

          public static final org.antlr.runtime.BitSet FOLLOW_30

    - #### FOLLOW_31

          public static final org.antlr.runtime.BitSet FOLLOW_31

    - #### FOLLOW_32

          public static final org.antlr.runtime.BitSet FOLLOW_32

    - #### FOLLOW_33

          public static final org.antlr.runtime.BitSet FOLLOW_33

    - #### FOLLOW_34

          public static final org.antlr.runtime.BitSet FOLLOW_34

    - #### FOLLOW_35

          public static final org.antlr.runtime.BitSet FOLLOW_35

    - #### FOLLOW_36

          public static final org.antlr.runtime.BitSet FOLLOW_36

    - #### FOLLOW_37

          public static final org.antlr.runtime.BitSet FOLLOW_37

    - #### FOLLOW_38

          public static final org.antlr.runtime.BitSet FOLLOW_38

    - #### FOLLOW_39

          public static final org.antlr.runtime.BitSet FOLLOW_39

    - #### FOLLOW_40

          public static final org.antlr.runtime.BitSet FOLLOW_40

    - #### FOLLOW_41

          public static final org.antlr.runtime.BitSet FOLLOW_41

    - #### FOLLOW_42

          public static final org.antlr.runtime.BitSet FOLLOW_42

    - #### FOLLOW_43

          public static final org.antlr.runtime.BitSet FOLLOW_43

    - #### FOLLOW_44

          public static final org.antlr.runtime.BitSet FOLLOW_44

    - #### FOLLOW_45

          public static final org.antlr.runtime.BitSet FOLLOW_45

    - #### FOLLOW_46

          public static final org.antlr.runtime.BitSet FOLLOW_46

    - #### FOLLOW_47

          public static final org.antlr.runtime.BitSet FOLLOW_47

    - #### FOLLOW_48

          public static final org.antlr.runtime.BitSet FOLLOW_48

    - #### FOLLOW_49

          public static final org.antlr.runtime.BitSet FOLLOW_49

    - #### FOLLOW_50

          public static final org.antlr.runtime.BitSet FOLLOW_50

    - #### FOLLOW_51

          public static final org.antlr.runtime.BitSet FOLLOW_51

    - #### FOLLOW_52

          public static final org.antlr.runtime.BitSet FOLLOW_52

    - #### FOLLOW_53

          public static final org.antlr.runtime.BitSet FOLLOW_53

    - #### FOLLOW_54

          public static final org.antlr.runtime.BitSet FOLLOW_54

    - #### FOLLOW_55

          public static final org.antlr.runtime.BitSet FOLLOW_55

    - #### FOLLOW_56

          public static final org.antlr.runtime.BitSet FOLLOW_56

    - #### FOLLOW_57

          public static final org.antlr.runtime.BitSet FOLLOW_57

    - #### FOLLOW_58

          public static final org.antlr.runtime.BitSet FOLLOW_58

    - #### FOLLOW_59

          public static final org.antlr.runtime.BitSet FOLLOW_59

    - #### FOLLOW_60

          public static final org.antlr.runtime.BitSet FOLLOW_60

    - #### FOLLOW_61

          public static final org.antlr.runtime.BitSet FOLLOW_61

    - #### FOLLOW_62

          public static final org.antlr.runtime.BitSet FOLLOW_62

    - #### FOLLOW_63

          public static final org.antlr.runtime.BitSet FOLLOW_63

    - #### FOLLOW_64

          public static final org.antlr.runtime.BitSet FOLLOW_64

    - #### FOLLOW_65

          public static final org.antlr.runtime.BitSet FOLLOW_65

    - #### FOLLOW_66

          public static final org.antlr.runtime.BitSet FOLLOW_66

    - #### FOLLOW_67

          public static final org.antlr.runtime.BitSet FOLLOW_67

    - #### FOLLOW_68

          public static final org.antlr.runtime.BitSet FOLLOW_68

    - #### FOLLOW_69

          public static final org.antlr.runtime.BitSet FOLLOW_69

    - #### FOLLOW_70

          public static final org.antlr.runtime.BitSet FOLLOW_70

    - #### FOLLOW_71

          public static final org.antlr.runtime.BitSet FOLLOW_71

    - #### FOLLOW_72

          public static final org.antlr.runtime.BitSet FOLLOW_72

    - #### FOLLOW_73

          public static final org.antlr.runtime.BitSet FOLLOW_73

    - #### FOLLOW_74

          public static final org.antlr.runtime.BitSet FOLLOW_74

    - #### FOLLOW_75

          public static final org.antlr.runtime.BitSet FOLLOW_75

    - #### FOLLOW_76

          public static final org.antlr.runtime.BitSet FOLLOW_76

    - #### FOLLOW_77

          public static final org.antlr.runtime.BitSet FOLLOW_77

    - #### FOLLOW_78

          public static final org.antlr.runtime.BitSet FOLLOW_78

    - #### FOLLOW_79

          public static final org.antlr.runtime.BitSet FOLLOW_79

    - #### FOLLOW_80

          public static final org.antlr.runtime.BitSet FOLLOW_80

    - #### FOLLOW_81

          public static final org.antlr.runtime.BitSet FOLLOW_81

    - #### FOLLOW_82

          public static final org.antlr.runtime.BitSet FOLLOW_82

    - #### FOLLOW_83

          public static final org.antlr.runtime.BitSet FOLLOW_83

    - #### FOLLOW_84

          public static final org.antlr.runtime.BitSet FOLLOW_84

    - #### FOLLOW_85

          public static final org.antlr.runtime.BitSet FOLLOW_85

    - #### FOLLOW_86

          public static final org.antlr.runtime.BitSet FOLLOW_86

    - #### FOLLOW_87

          public static final org.antlr.runtime.BitSet FOLLOW_87

    - #### FOLLOW_88

          public static final org.antlr.runtime.BitSet FOLLOW_88

    - #### FOLLOW_89

          public static final org.antlr.runtime.BitSet FOLLOW_89

    - #### FOLLOW_90

          public static final org.antlr.runtime.BitSet FOLLOW_90

    - #### FOLLOW_91

          public static final org.antlr.runtime.BitSet FOLLOW_91

    - #### FOLLOW_92

          public static final org.antlr.runtime.BitSet FOLLOW_92

    - #### FOLLOW_93

          public static final org.antlr.runtime.BitSet FOLLOW_93

    - #### FOLLOW_94

          public static final org.antlr.runtime.BitSet FOLLOW_94

    - #### FOLLOW_95

          public static final org.antlr.runtime.BitSet FOLLOW_95

    - #### FOLLOW_96

          public static final org.antlr.runtime.BitSet FOLLOW_96

    - #### FOLLOW_97

          public static final org.antlr.runtime.BitSet FOLLOW_97

    - #### FOLLOW_98

          public static final org.antlr.runtime.BitSet FOLLOW_98

    - #### FOLLOW_99

          public static final org.antlr.runtime.BitSet FOLLOW_99

    - #### FOLLOW_100

          public static final org.antlr.runtime.BitSet FOLLOW_100

    - #### FOLLOW_101

          public static final org.antlr.runtime.BitSet FOLLOW_101

    - #### FOLLOW_102

          public static final org.antlr.runtime.BitSet FOLLOW_102

    - #### FOLLOW_103

          public static final org.antlr.runtime.BitSet FOLLOW_103

    - #### FOLLOW_104

          public static final org.antlr.runtime.BitSet FOLLOW_104

    - #### FOLLOW_105

          public static final org.antlr.runtime.BitSet FOLLOW_105

  - ### Constructor Detail

    - #### InternalVeplParser

          public InternalVeplParser(org.antlr.runtime.TokenStream input)

    - #### InternalVeplParser

          public InternalVeplParser(org.antlr.runtime.TokenStream input,
                                    org.antlr.runtime.RecognizerSharedState state)

    - #### InternalVeplParser

          public InternalVeplParser(org.antlr.runtime.TokenStream input,
                                    VeplGrammarAccess grammarAccess)

  - ### Method Detail

    - #### getTokenNames

          public java.lang.String[] getTokenNames()

      Overrides:
        `getTokenNames` in class `org.antlr.runtime.BaseRecognizer`

    - #### getGrammarFileName

          public java.lang.String getGrammarFileName()

      Overrides:
        `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

    - #### getFirstRuleName

          protected java.lang.String getFirstRuleName()

      Specified by:
        `getFirstRuleName` in class `org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser`

    - #### getGrammarAccess

          protected VeplGrammarAccess getGrammarAccess()

      Specified by:
        `getGrammarAccess` in class `org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser`

    - #### entryRuleEventModel

          public final org.eclipse.emf.ecore.EObject entryRuleEventModel()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleEventModel

          public final org.eclipse.emf.ecore.EObject ruleEventModel()
                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleImport

          public final org.eclipse.emf.ecore.EObject entryRuleImport()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleImport

          public final org.eclipse.emf.ecore.EObject ruleImport()
                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleGenericImport

          public final org.eclipse.emf.ecore.EObject entryRuleGenericImport()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleGenericImport

          public final org.eclipse.emf.ecore.EObject ruleGenericImport()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleQueryImport

          public final org.eclipse.emf.ecore.EObject entryRuleQueryImport()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleQueryImport

          public final org.eclipse.emf.ecore.EObject ruleQueryImport()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleModelElement

          public final org.eclipse.emf.ecore.EObject entryRuleModelElement()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleModelElement

          public final org.eclipse.emf.ecore.EObject ruleModelElement()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleTrait

          public final org.eclipse.emf.ecore.EObject entryRuleTrait()
                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleTrait

          public final org.eclipse.emf.ecore.EObject ruleTrait()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleEventPattern

          public final org.eclipse.emf.ecore.EObject entryRuleEventPattern()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleEventPattern

          public final org.eclipse.emf.ecore.EObject ruleEventPattern()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleAbstractAtomicEventPattern

          public final org.eclipse.emf.ecore.EObject entryRuleAbstractAtomicEventPattern()
                                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleAbstractAtomicEventPattern

          public final org.eclipse.emf.ecore.EObject ruleAbstractAtomicEventPattern()
                                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleAtomicEventPattern

          public final org.eclipse.emf.ecore.EObject entryRuleAtomicEventPattern()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleAtomicEventPattern

          public final org.eclipse.emf.ecore.EObject ruleAtomicEventPattern()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleQueryResultChangeEventPattern

          public final org.eclipse.emf.ecore.EObject entryRuleQueryResultChangeEventPattern()
                                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleQueryResultChangeEventPattern

          public final org.eclipse.emf.ecore.EObject ruleQueryResultChangeEventPattern()
                                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleComplexEventPattern

          public final org.eclipse.emf.ecore.EObject entryRuleComplexEventPattern()
                                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleComplexEventPattern

          public final org.eclipse.emf.ecore.EObject ruleComplexEventPattern()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleRule

          public final org.eclipse.emf.ecore.EObject entryRuleRule()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleRule

          public final org.eclipse.emf.ecore.EObject ruleRule()
                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleTraitList

          public final org.eclipse.emf.ecore.EObject entryRuleTraitList()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleTraitList

          public final org.eclipse.emf.ecore.EObject ruleTraitList()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleTypedParameterList

          public final org.eclipse.emf.ecore.EObject entryRuleTypedParameterList()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleTypedParameterList

          public final org.eclipse.emf.ecore.EObject ruleTypedParameterList()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleTypedParameter

          public final org.eclipse.emf.ecore.EObject entryRuleTypedParameter()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleTypedParameter

          public final org.eclipse.emf.ecore.EObject ruleTypedParameter()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleTypedParameterWithDefaultValue

          public final org.eclipse.emf.ecore.EObject entryRuleTypedParameterWithDefaultValue()
                                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleTypedParameterWithDefaultValue

          public final org.eclipse.emf.ecore.EObject ruleTypedParameterWithDefaultValue()
                                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleTraitTypedParameterList

          public final org.eclipse.emf.ecore.EObject entryRuleTraitTypedParameterList()
                                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleTraitTypedParameterList

          public final org.eclipse.emf.ecore.EObject ruleTraitTypedParameterList()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleParametrizedQueryReference

          public final org.eclipse.emf.ecore.EObject entryRuleParametrizedQueryReference()
                                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleParametrizedQueryReference

          public final org.eclipse.emf.ecore.EObject ruleParametrizedQueryReference()
                                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleComplexEventExpression

          public final org.eclipse.emf.ecore.EObject entryRuleComplexEventExpression()
                                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleComplexEventExpression

          public final org.eclipse.emf.ecore.EObject ruleComplexEventExpression()
                                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleChainedExpression

          public final org.eclipse.emf.ecore.EObject entryRuleChainedExpression()
                                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleChainedExpression

          public final org.eclipse.emf.ecore.EObject ruleChainedExpression()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRulePrimary

          public final org.eclipse.emf.ecore.EObject entryRulePrimary()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### rulePrimary

          public final org.eclipse.emf.ecore.EObject rulePrimary()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleNormalPrimary

          public final org.eclipse.emf.ecore.EObject entryRuleNormalPrimary()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleNormalPrimary

          public final org.eclipse.emf.ecore.EObject ruleNormalPrimary()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleNegatedPrimary

          public final org.eclipse.emf.ecore.EObject entryRuleNegatedPrimary()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleNegatedPrimary

          public final org.eclipse.emf.ecore.EObject ruleNegatedPrimary()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleAtom

          public final org.eclipse.emf.ecore.EObject entryRuleAtom()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleAtom

          public final org.eclipse.emf.ecore.EObject ruleAtom()
                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleAbstractMultiplicity

          public final org.eclipse.emf.ecore.EObject entryRuleAbstractMultiplicity()
                                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleAbstractMultiplicity

          public final org.eclipse.emf.ecore.EObject ruleAbstractMultiplicity()
                                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleMultiplicity

          public final org.eclipse.emf.ecore.EObject entryRuleMultiplicity()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleMultiplicity

          public final org.eclipse.emf.ecore.EObject ruleMultiplicity()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleInfinite

          public final org.eclipse.emf.ecore.EObject entryRuleInfinite()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleInfinite

          public final org.eclipse.emf.ecore.EObject ruleInfinite()
                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleAtLeastOne

          public final org.eclipse.emf.ecore.EObject entryRuleAtLeastOne()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleAtLeastOne

          public final org.eclipse.emf.ecore.EObject ruleAtLeastOne()
                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleTimewindow

          public final org.eclipse.emf.ecore.EObject entryRuleTimewindow()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleTimewindow

          public final org.eclipse.emf.ecore.EObject ruleTimewindow()
                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleParameterizedPatternCall

          public final org.eclipse.emf.ecore.EObject entryRuleParameterizedPatternCall()
                                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleParameterizedPatternCall

          public final org.eclipse.emf.ecore.EObject ruleParameterizedPatternCall()
                                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRulePatternCallParameterList

          public final org.eclipse.emf.ecore.EObject entryRulePatternCallParameterList()
                                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### rulePatternCallParameterList

          public final org.eclipse.emf.ecore.EObject rulePatternCallParameterList()
                                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRulePatternCallParameter

          public final org.eclipse.emf.ecore.EObject entryRulePatternCallParameter()
                                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### rulePatternCallParameter

          public final org.eclipse.emf.ecore.EObject rulePatternCallParameter()
                                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleBinaryOperator

          public final org.eclipse.emf.ecore.EObject entryRuleBinaryOperator()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleBinaryOperator

          public final org.eclipse.emf.ecore.EObject ruleBinaryOperator()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleUnaryOperator

          public final org.eclipse.emf.ecore.EObject entryRuleUnaryOperator()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleUnaryOperator

          public final org.eclipse.emf.ecore.EObject ruleUnaryOperator()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleFollowsOperator

          public final org.eclipse.emf.ecore.EObject entryRuleFollowsOperator()
                                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleFollowsOperator

          public final org.eclipse.emf.ecore.EObject ruleFollowsOperator()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleOrOperator

          public final org.eclipse.emf.ecore.EObject entryRuleOrOperator()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleOrOperator

          public final org.eclipse.emf.ecore.EObject ruleOrOperator()
                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleAndOperator

          public final org.eclipse.emf.ecore.EObject entryRuleAndOperator()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleAndOperator

          public final org.eclipse.emf.ecore.EObject ruleAndOperator()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleNegOperator

          public final org.eclipse.emf.ecore.EObject entryRuleNegOperator()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleNegOperator

          public final org.eclipse.emf.ecore.EObject ruleNegOperator()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXExpression()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXExpression

          public final org.eclipse.emf.ecore.EObject ruleXExpression()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXAssignment

          public final org.eclipse.emf.ecore.EObject entryRuleXAssignment()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXAssignment

          public final org.eclipse.emf.ecore.EObject ruleXAssignment()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleOpSingleAssign

          public final java.lang.String entryRuleOpSingleAssign()
                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleOpSingleAssign

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleOpSingleAssign()
                                                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleOpMultiAssign

          public final java.lang.String entryRuleOpMultiAssign()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleOpMultiAssign

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleOpMultiAssign()
                                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXOrExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXOrExpression()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXOrExpression

          public final org.eclipse.emf.ecore.EObject ruleXOrExpression()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleOpOr

          public final java.lang.String entryRuleOpOr()
                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleOpOr

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleOpOr()
                                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXAndExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXAndExpression()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXAndExpression

          public final org.eclipse.emf.ecore.EObject ruleXAndExpression()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleOpAnd

          public final java.lang.String entryRuleOpAnd()
                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleOpAnd

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleOpAnd()
                                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXEqualityExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXEqualityExpression()
                                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXEqualityExpression

          public final org.eclipse.emf.ecore.EObject ruleXEqualityExpression()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleOpEquality

          public final java.lang.String entryRuleOpEquality()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleOpEquality

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleOpEquality()
                                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXRelationalExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXRelationalExpression()
                                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXRelationalExpression

          public final org.eclipse.emf.ecore.EObject ruleXRelationalExpression()
                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleOpCompare

          public final java.lang.String entryRuleOpCompare()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleOpCompare

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleOpCompare()
                                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXOtherOperatorExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXOtherOperatorExpression()
                                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXOtherOperatorExpression

          public final org.eclipse.emf.ecore.EObject ruleXOtherOperatorExpression()
                                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleOpOther

          public final java.lang.String entryRuleOpOther()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleOpOther

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleOpOther()
                                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXAdditiveExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXAdditiveExpression()
                                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXAdditiveExpression

          public final org.eclipse.emf.ecore.EObject ruleXAdditiveExpression()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleOpAdd

          public final java.lang.String entryRuleOpAdd()
                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleOpAdd

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleOpAdd()
                                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXMultiplicativeExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXMultiplicativeExpression()
                                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXMultiplicativeExpression

          public final org.eclipse.emf.ecore.EObject ruleXMultiplicativeExpression()
                                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleOpMulti

          public final java.lang.String entryRuleOpMulti()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleOpMulti

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleOpMulti()
                                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXUnaryOperation

          public final org.eclipse.emf.ecore.EObject entryRuleXUnaryOperation()
                                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXUnaryOperation

          public final org.eclipse.emf.ecore.EObject ruleXUnaryOperation()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleOpUnary

          public final java.lang.String entryRuleOpUnary()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleOpUnary

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleOpUnary()
                                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXCastedExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXCastedExpression()
                                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXCastedExpression

          public final org.eclipse.emf.ecore.EObject ruleXCastedExpression()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXPostfixOperation

          public final org.eclipse.emf.ecore.EObject entryRuleXPostfixOperation()
                                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXPostfixOperation

          public final org.eclipse.emf.ecore.EObject ruleXPostfixOperation()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleOpPostfix

          public final java.lang.String entryRuleOpPostfix()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleOpPostfix

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleOpPostfix()
                                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXMemberFeatureCall

          public final org.eclipse.emf.ecore.EObject entryRuleXMemberFeatureCall()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXMemberFeatureCall

          public final org.eclipse.emf.ecore.EObject ruleXMemberFeatureCall()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXPrimaryExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXPrimaryExpression()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXPrimaryExpression

          public final org.eclipse.emf.ecore.EObject ruleXPrimaryExpression()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXLiteral

          public final org.eclipse.emf.ecore.EObject entryRuleXLiteral()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXLiteral

          public final org.eclipse.emf.ecore.EObject ruleXLiteral()
                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXCollectionLiteral

          public final org.eclipse.emf.ecore.EObject entryRuleXCollectionLiteral()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXCollectionLiteral

          public final org.eclipse.emf.ecore.EObject ruleXCollectionLiteral()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXSetLiteral

          public final org.eclipse.emf.ecore.EObject entryRuleXSetLiteral()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXSetLiteral

          public final org.eclipse.emf.ecore.EObject ruleXSetLiteral()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXListLiteral

          public final org.eclipse.emf.ecore.EObject entryRuleXListLiteral()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXListLiteral

          public final org.eclipse.emf.ecore.EObject ruleXListLiteral()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXClosure

          public final org.eclipse.emf.ecore.EObject entryRuleXClosure()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXClosure

          public final org.eclipse.emf.ecore.EObject ruleXClosure()
                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXExpressionInClosure

          public final org.eclipse.emf.ecore.EObject entryRuleXExpressionInClosure()
                                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXExpressionInClosure

          public final org.eclipse.emf.ecore.EObject ruleXExpressionInClosure()
                                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXShortClosure

          public final org.eclipse.emf.ecore.EObject entryRuleXShortClosure()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXShortClosure

          public final org.eclipse.emf.ecore.EObject ruleXShortClosure()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXParenthesizedExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXParenthesizedExpression()
                                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXParenthesizedExpression

          public final org.eclipse.emf.ecore.EObject ruleXParenthesizedExpression()
                                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXIfExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXIfExpression()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXIfExpression

          public final org.eclipse.emf.ecore.EObject ruleXIfExpression()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXSwitchExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXSwitchExpression()
                                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXSwitchExpression

          public final org.eclipse.emf.ecore.EObject ruleXSwitchExpression()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXCasePart

          public final org.eclipse.emf.ecore.EObject entryRuleXCasePart()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXCasePart

          public final org.eclipse.emf.ecore.EObject ruleXCasePart()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXForLoopExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXForLoopExpression()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXForLoopExpression

          public final org.eclipse.emf.ecore.EObject ruleXForLoopExpression()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXBasicForLoopExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXBasicForLoopExpression()
                                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXBasicForLoopExpression

          public final org.eclipse.emf.ecore.EObject ruleXBasicForLoopExpression()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXWhileExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXWhileExpression()
                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXWhileExpression

          public final org.eclipse.emf.ecore.EObject ruleXWhileExpression()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXDoWhileExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXDoWhileExpression()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXDoWhileExpression

          public final org.eclipse.emf.ecore.EObject ruleXDoWhileExpression()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXBlockExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXBlockExpression()
                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXBlockExpression

          public final org.eclipse.emf.ecore.EObject ruleXBlockExpression()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXExpressionOrVarDeclaration

          public final org.eclipse.emf.ecore.EObject entryRuleXExpressionOrVarDeclaration()
                                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXExpressionOrVarDeclaration

          public final org.eclipse.emf.ecore.EObject ruleXExpressionOrVarDeclaration()
                                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXVariableDeclaration

          public final org.eclipse.emf.ecore.EObject entryRuleXVariableDeclaration()
                                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXVariableDeclaration

          public final org.eclipse.emf.ecore.EObject ruleXVariableDeclaration()
                                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleJvmFormalParameter

          public final org.eclipse.emf.ecore.EObject entryRuleJvmFormalParameter()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleJvmFormalParameter

          public final org.eclipse.emf.ecore.EObject ruleJvmFormalParameter()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleFullJvmFormalParameter

          public final org.eclipse.emf.ecore.EObject entryRuleFullJvmFormalParameter()
                                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleFullJvmFormalParameter

          public final org.eclipse.emf.ecore.EObject ruleFullJvmFormalParameter()
                                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXFeatureCall

          public final org.eclipse.emf.ecore.EObject entryRuleXFeatureCall()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXFeatureCall

          public final org.eclipse.emf.ecore.EObject ruleXFeatureCall()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleFeatureCallID

          public final java.lang.String entryRuleFeatureCallID()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleFeatureCallID

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleFeatureCallID()
                                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleIdOrSuper

          public final java.lang.String entryRuleIdOrSuper()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleIdOrSuper

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleIdOrSuper()
                                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXConstructorCall

          public final org.eclipse.emf.ecore.EObject entryRuleXConstructorCall()
                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXConstructorCall

          public final org.eclipse.emf.ecore.EObject ruleXConstructorCall()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXBooleanLiteral

          public final org.eclipse.emf.ecore.EObject entryRuleXBooleanLiteral()
                                                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXBooleanLiteral

          public final org.eclipse.emf.ecore.EObject ruleXBooleanLiteral()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXNullLiteral

          public final org.eclipse.emf.ecore.EObject entryRuleXNullLiteral()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXNullLiteral

          public final org.eclipse.emf.ecore.EObject ruleXNullLiteral()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXNumberLiteral

          public final org.eclipse.emf.ecore.EObject entryRuleXNumberLiteral()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXNumberLiteral

          public final org.eclipse.emf.ecore.EObject ruleXNumberLiteral()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXStringLiteral

          public final org.eclipse.emf.ecore.EObject entryRuleXStringLiteral()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXStringLiteral

          public final org.eclipse.emf.ecore.EObject ruleXStringLiteral()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXTypeLiteral

          public final org.eclipse.emf.ecore.EObject entryRuleXTypeLiteral()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXTypeLiteral

          public final org.eclipse.emf.ecore.EObject ruleXTypeLiteral()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXThrowExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXThrowExpression()
                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXThrowExpression

          public final org.eclipse.emf.ecore.EObject ruleXThrowExpression()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXReturnExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXReturnExpression()
                                                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXReturnExpression

          public final org.eclipse.emf.ecore.EObject ruleXReturnExpression()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXTryCatchFinallyExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXTryCatchFinallyExpression()
                                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXTryCatchFinallyExpression

          public final org.eclipse.emf.ecore.EObject ruleXTryCatchFinallyExpression()
                                                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXSynchronizedExpression

          public final org.eclipse.emf.ecore.EObject entryRuleXSynchronizedExpression()
                                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXSynchronizedExpression

          public final org.eclipse.emf.ecore.EObject ruleXSynchronizedExpression()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXCatchClause

          public final org.eclipse.emf.ecore.EObject entryRuleXCatchClause()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXCatchClause

          public final org.eclipse.emf.ecore.EObject ruleXCatchClause()
                                                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleQualifiedName

          public final java.lang.String entryRuleQualifiedName()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleQualifiedName

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleQualifiedName()
                                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleNumber

          public final java.lang.String entryRuleNumber()
                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleNumber

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleNumber()
                                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleJvmTypeReference

          public final org.eclipse.emf.ecore.EObject entryRuleJvmTypeReference()
                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleJvmTypeReference

          public final org.eclipse.emf.ecore.EObject ruleJvmTypeReference()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleArrayBrackets

          public final java.lang.String entryRuleArrayBrackets()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleArrayBrackets

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleArrayBrackets()
                                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXFunctionTypeRef

          public final org.eclipse.emf.ecore.EObject entryRuleXFunctionTypeRef()
                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXFunctionTypeRef

          public final org.eclipse.emf.ecore.EObject ruleXFunctionTypeRef()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleJvmParameterizedTypeReference

          public final org.eclipse.emf.ecore.EObject entryRuleJvmParameterizedTypeReference()
                                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleJvmParameterizedTypeReference

          public final org.eclipse.emf.ecore.EObject ruleJvmParameterizedTypeReference()
                                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleJvmArgumentTypeReference

          public final org.eclipse.emf.ecore.EObject entryRuleJvmArgumentTypeReference()
                                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleJvmArgumentTypeReference

          public final org.eclipse.emf.ecore.EObject ruleJvmArgumentTypeReference()
                                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleJvmWildcardTypeReference

          public final org.eclipse.emf.ecore.EObject entryRuleJvmWildcardTypeReference()
                                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleJvmWildcardTypeReference

          public final org.eclipse.emf.ecore.EObject ruleJvmWildcardTypeReference()
                                                                           throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleJvmUpperBound

          public final org.eclipse.emf.ecore.EObject entryRuleJvmUpperBound()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleJvmUpperBound

          public final org.eclipse.emf.ecore.EObject ruleJvmUpperBound()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleJvmUpperBoundAnded

          public final org.eclipse.emf.ecore.EObject entryRuleJvmUpperBoundAnded()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleJvmUpperBoundAnded

          public final org.eclipse.emf.ecore.EObject ruleJvmUpperBoundAnded()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleJvmLowerBound

          public final org.eclipse.emf.ecore.EObject entryRuleJvmLowerBound()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleJvmLowerBound

          public final org.eclipse.emf.ecore.EObject ruleJvmLowerBound()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleJvmLowerBoundAnded

          public final org.eclipse.emf.ecore.EObject entryRuleJvmLowerBoundAnded()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleJvmLowerBoundAnded

          public final org.eclipse.emf.ecore.EObject ruleJvmLowerBoundAnded()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleQualifiedNameWithWildcard

          public final java.lang.String entryRuleQualifiedNameWithWildcard()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleQualifiedNameWithWildcard

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleQualifiedNameWithWildcard()
                                                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleValidID

          public final java.lang.String entryRuleValidID()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleValidID

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleValidID()
                                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleXImportDeclaration

          public final org.eclipse.emf.ecore.EObject entryRuleXImportDeclaration()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleXImportDeclaration

          public final org.eclipse.emf.ecore.EObject ruleXImportDeclaration()
                                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### entryRuleQualifiedNameInStaticImport

          public final java.lang.String entryRuleQualifiedNameInStaticImport()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleQualifiedNameInStaticImport

          public final org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken ruleQualifiedNameInStaticImport()
                                                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleContext

          public final org.eclipse.emf.common.util.Enumerator ruleContext()
                                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ruleQueryResultChangeType

          public final org.eclipse.emf.common.util.Enumerator ruleQueryResultChangeType()
                                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred1_InternalVepl_fragment

          public final void synpred1_InternalVepl_fragment()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred2_InternalVepl_fragment

          public final void synpred2_InternalVepl_fragment()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred3_InternalVepl_fragment

          public final void synpred3_InternalVepl_fragment()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred4_InternalVepl_fragment

          public final void synpred4_InternalVepl_fragment()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred5_InternalVepl_fragment

          public final void synpred5_InternalVepl_fragment()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred6_InternalVepl_fragment

          public final void synpred6_InternalVepl_fragment()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred7_InternalVepl_fragment

          public final void synpred7_InternalVepl_fragment()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred8_InternalVepl_fragment

          public final void synpred8_InternalVepl_fragment()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred9_InternalVepl_fragment

          public final void synpred9_InternalVepl_fragment()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred10_InternalVepl_fragment

          public final void synpred10_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred11_InternalVepl_fragment

          public final void synpred11_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred12_InternalVepl_fragment

          public final void synpred12_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred13_InternalVepl_fragment

          public final void synpred13_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred14_InternalVepl_fragment

          public final void synpred14_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred15_InternalVepl_fragment

          public final void synpred15_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred16_InternalVepl_fragment

          public final void synpred16_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred17_InternalVepl_fragment

          public final void synpred17_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred18_InternalVepl_fragment

          public final void synpred18_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred19_InternalVepl_fragment

          public final void synpred19_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred20_InternalVepl_fragment

          public final void synpred20_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred21_InternalVepl_fragment

          public final void synpred21_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred23_InternalVepl_fragment

          public final void synpred23_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred25_InternalVepl_fragment

          public final void synpred25_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred26_InternalVepl_fragment

          public final void synpred26_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred27_InternalVepl_fragment

          public final void synpred27_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred29_InternalVepl_fragment

          public final void synpred29_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred30_InternalVepl_fragment

          public final void synpred30_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred31_InternalVepl_fragment

          public final void synpred31_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred32_InternalVepl_fragment

          public final void synpred32_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred33_InternalVepl_fragment

          public final void synpred33_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred34_InternalVepl_fragment

          public final void synpred34_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred35_InternalVepl_fragment

          public final void synpred35_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred36_InternalVepl_fragment

          public final void synpred36_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred37_InternalVepl_fragment

          public final void synpred37_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred38_InternalVepl_fragment

          public final void synpred38_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred39_InternalVepl_fragment

          public final void synpred39_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred42_InternalVepl_fragment

          public final void synpred42_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred43_InternalVepl_fragment

          public final void synpred43_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred44_InternalVepl_fragment

          public final void synpred44_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred45_InternalVepl_fragment

          public final void synpred45_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred46_InternalVepl_fragment

          public final void synpred46_InternalVepl_fragment()
                                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred21_InternalVepl

          public final boolean synpred21_InternalVepl()

    - #### synpred20_InternalVepl

          public final boolean synpred20_InternalVepl()

    - #### synpred23_InternalVepl

          public final boolean synpred23_InternalVepl()

    - #### synpred27_InternalVepl

          public final boolean synpred27_InternalVepl()

    - #### synpred25_InternalVepl

          public final boolean synpred25_InternalVepl()

    - #### synpred26_InternalVepl

          public final boolean synpred26_InternalVepl()

    - #### synpred43_InternalVepl

          public final boolean synpred43_InternalVepl()

    - #### synpred45_InternalVepl

          public final boolean synpred45_InternalVepl()

    - #### synpred44_InternalVepl

          public final boolean synpred44_InternalVepl()

    - #### synpred46_InternalVepl

          public final boolean synpred46_InternalVepl()

    - #### synpred10_InternalVepl

          public final boolean synpred10_InternalVepl()

    - #### synpred11_InternalVepl

          public final boolean synpred11_InternalVepl()

    - #### synpred29_InternalVepl

          public final boolean synpred29_InternalVepl()

    - #### synpred31_InternalVepl

          public final boolean synpred31_InternalVepl()

    - #### synpred12_InternalVepl

          public final boolean synpred12_InternalVepl()

    - #### synpred30_InternalVepl

          public final boolean synpred30_InternalVepl()

    - #### synpred1_InternalVepl

          public final boolean synpred1_InternalVepl()

    - #### synpred16_InternalVepl

          public final boolean synpred16_InternalVepl()

    - #### synpred15_InternalVepl

          public final boolean synpred15_InternalVepl()

    - #### synpred2_InternalVepl

          public final boolean synpred2_InternalVepl()

    - #### synpred13_InternalVepl

          public final boolean synpred13_InternalVepl()

    - #### synpred18_InternalVepl

          public final boolean synpred18_InternalVepl()

    - #### synpred4_InternalVepl

          public final boolean synpred4_InternalVepl()

    - #### synpred19_InternalVepl

          public final boolean synpred19_InternalVepl()

    - #### synpred3_InternalVepl

          public final boolean synpred3_InternalVepl()

    - #### synpred14_InternalVepl

          public final boolean synpred14_InternalVepl()

    - #### synpred32_InternalVepl

          public final boolean synpred32_InternalVepl()

    - #### synpred8_InternalVepl

          public final boolean synpred8_InternalVepl()

    - #### synpred33_InternalVepl

          public final boolean synpred33_InternalVepl()

    - #### synpred34_InternalVepl

          public final boolean synpred34_InternalVepl()

    - #### synpred7_InternalVepl

          public final boolean synpred7_InternalVepl()

    - #### synpred5_InternalVepl

          public final boolean synpred5_InternalVepl()

    - #### synpred6_InternalVepl

          public final boolean synpred6_InternalVepl()

    - #### synpred17_InternalVepl

          public final boolean synpred17_InternalVepl()

    - #### synpred35_InternalVepl

          public final boolean synpred35_InternalVepl()

    - #### synpred39_InternalVepl

          public final boolean synpred39_InternalVepl()

    - #### synpred38_InternalVepl

          public final boolean synpred38_InternalVepl()

    - #### synpred36_InternalVepl

          public final boolean synpred36_InternalVepl()

    - #### synpred42_InternalVepl

          public final boolean synpred42_InternalVepl()

    - #### synpred37_InternalVepl

          public final boolean synpred37_InternalVepl()

    - #### synpred9_InternalVepl

          public final boolean synpred9_InternalVepl()